1

Topic: [ATTENTION] PHP-5.2.10 is now available for upgrade in yum repository

Hi, all.

I committed PHP-5.2.10 (copied from CentOS testing repository) to iRedMail yum repository yesterday, all users can upgrade php-5.1.x via yum command now:

# yum upgrade "php*"

Also, you have to remove php-pecl-fileinfo to avoid package conflict, and restart Apache web server to use php 5.2:

# yum remove php-pecl-fileinfo
# /etc/init.d/httpd restart

If you don't remove it, there will be an error in your PHP applications:

PHP Warning:  PHP Startup: fileinfo: Unable to initialize module\nModule compiled with module API=20050922, debug=0, thread-safety=0\nPHP    compiled with module API=20060613, debug=0, thread-safety=0\nThese options need to match\n in Unknown on line 0

Thanks to user AFAIK for his/her feedback. smile

2 (edited by sdaniel 2010-10-09 10:23:12)

Re: [ATTENTION] PHP-5.2.10 is now available for upgrade in yum repository

Hi, Zhang,

How about these two modules as follow?
php-eaccelerator.i386                   5.1.6_0.9.5.2-4.el5.rf installed
php-pecl-fileinfo.i386                   1.0.4-1.el5.rf         installed

Thanks

3

Re: [ATTENTION] PHP-5.2.10 is now available for upgrade in yum repository

php-pecl-fileinto is optional component for Roundcube webmail.
php-eaccelerator is a PHP accelerator & optimizer.

We use PHP-5.2.X from CentOS testing repository (http://dev.centos.org/), if it doesn't build it, we won't have them too.

4

Re: [ATTENTION] PHP-5.2.10 is now available for upgrade in yum repository

Ok, Thank you.
I updated it last weekend.